ScorecardControllerSaveAsReport Method |
POST /Scorecard/SaveAsReport/{id}
Saves the scorecard with the specified ID as a report.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("SaveAsReport")]
public IActionResult SaveAsReport(
Guid id,
[FromBodyAttribute] CopyEntryOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("SaveAsReport")>
Public Function SaveAsReport (
id As Guid,
<FromBodyAttribute> options As CopyEntryOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"SaveAsReport")]
IActionResult^ SaveAsReport(
Guid id,
[FromBodyAttribute] CopyEntryOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("SaveAsReport")>]
member SaveAsReport :
id : Guid *
[<FromBodyAttribute>] options : CopyEntryOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the scorecard to save as a report. - options
- Type: Dundas.BI.WebApi.ModelsCopyEntryOptions
The options for saving this file. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResult
The ID of the report.
See Also